.pinWrapper {
  height: 100%;
  width: 100%;
  position: relative;
  z-index: 11;
}
.scrollmagic-pin-spacer {
  position: absolute !important;
  clip: rect(auto, auto, auto, auto);
}
.event {
  position: relative;
  overflow: hidden;
  height: 100svh;
  width: 100vw;
  z-index: 1;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}
.event::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}
#section2.event::before {
  background-color: #00000080;
}
#section3.event::before {
  background-color: #00000080;
}
#section4.event::before {
  background-color: #00000080;
}
.image {
  height: 100%;
  width: 100%;
  top: 0%;
  left: 0%;
  position: absolute;
  background-size: cover;
  background-position: center center;
  transition: width 1s, height 1s;
  -webkit-transition: width 1s, height 1s;
  box-shadow: 2px 2px 10px 10px rgb(0 0 0 / 12%);
  -webkit-box-shadow: 2px 2px 10px 10px rgb(0 0 0 / 12%);
  transform-origin: center;
  -webkit-transform-origin: center;
  z-index: 8888;
  overflow: hidden;
  border-radius: 0;
}
.image:not(#loaderVideo) {
  top: -50%;
  width: 500px;
  height: 500px;
  left: auto;
  right: 100px;
  position: absolute;
  border-radius: 12px;
  transform: translate(0%, -50%);
  -webkit-transform: translate(0%, -50%);
}
#section1 .image video {
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center center;
  position: absolute;
  top: 0;
  left: 0;
}

.text h2 {
  color: #FFFFFF;
  font-size: 40px;
  font-weight: 500;
  margin-bottom: 20px;
}
.text a{
  margin-top: 30px;
}
.text p {
  color: #FFFFFF;
}
.service_count {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
  gap: 5px;
}
.service_count span {
  color: #FFFFFF;
  font-size: 13px;
  font-weight: 600;
}
.total_count {
  color: #FFFFFF66 !important;
}
/* Section Text */
.text {
  top: -50%;
  left: 0;
  position: absolute;
  transform: translate(100px, -50%);
  -webkit-transform: translate(100px, -50%);
  width: 43%;
}
/* #section1 .text {
  top: 50%;
} */

/* Scroll Button */
.scrollBtn {
  position: absolute;
  bottom: 2.5%;
  left: 50%;
  transform: translate(-50%, 0);
  -webkit-transform: translate(-50%, 0);
  width: 100px;
  height: auto;
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 10px;
  z-index: 1;
  transition: all ease-in-out 0.35s;
  -webkit-transition: all ease-in-out 0.35s;
}
.scrollBtn.move {
  visibility: hidden;
  opacity: 0;
}
.scrollBtn span {
  width: 12px;
  height: 12px;
  display: block;
  border-bottom: 2px solid var(--white);
  border-right: 2px solid var(--white);
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  animation: animate 2s infinite;
  -webkit-animation: animate 2s infinite;
  margin: auto;
}
.scrollBtn h6 {
  font-size: 16px;
  line-height: 1.5;
  font-weight: 400;
  font-family: "Titillium Web", sans-serif;
  text-align: center;
  text-transform: uppercase;
  -webkit-text-transform: uppercase;
  letter-spacing: 2px;
}
@keyframes animate {
  0% {
    opacity: 0;
    transform: rotate(45deg) translate(-10px, -10px);
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: rotate(45deg) translate(10px, 10px);
  }
}
@-webkit-keyframes animate {
  0% {
    opacity: 0;
    transform: rotate(45deg) translate(-10px, -10px);
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: rotate(45deg) translate(10px, 10px);
  }
}

/* Preloader */
#preloader {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
  background-color: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 1s;
  -webkit-transition: all 1s;
}
#preloader img,
#preloader video {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center center;
}
#preloader::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  content: "";
  z-index: 1;
}
.text-wrapper {
  text-align: center;
  height: 24px;
  overflow: hidden;
  transition: opacity 1s;
  -webkit-transition: opacity 1s;
}
#first-text {
  animation: moveUp 1s 1s forwards;
  -webkit-animation: moveUp 1s 1s forwards;
}
#second-text {
  opacity: 0;
  transform: translateY(-30px);
  -webkit-transform: translateY(-30px);
  animation: scrollup 1s 1.2s forwards, moveUpAgain 1s 2.2s forwards;
  -webkit-animation: scrollup 1s 1.2s forwards, moveUpAgain 1s 2.2s forwards;
}
@keyframes moveUp {
  0% {
    transform: translateY(0);
    opacity: 1;
  }
  100% {
    transform: translateY(-100px);
    opacity: 0;
  }
}
@-webkit-keyframes moveUp {
  0% {
    transform: translateY(0);
    opacity: 1;
  }
  100% {
    transform: translateY(-100px);
    opacity: 0;
  }
}

@keyframes scrollup {
  100% {
    transform: translateY(-54px);
  }
}
@-webkit-keyframes scrollup {
  100% {
    transform: translateY(-54px);
  }
}

@keyframes moveUpAgain {
  0% {
    transform: translateY(-54px);
    opacity: 1;
  }
  60% {
    transform: translateY(-54px);
    opacity: 1;
  }
  100% {
    transform: translateY(-60px);
    opacity: 0;
  }
}
@-webkit-keyframes moveUpAgain {
  0% {
    transform: translateY(-54px);
    opacity: 1;
  }
  60% {
    transform: translateY(-54px);
    opacity: 1;
  }
  100% {
    transform: translateY(-60px);
    opacity: 0;
  }
}

